/*
 * Soft:        Userspace TCP Splicing library.
 *
 * Author:      Alexandre Cassen, <acassen@linux-l7sw.org>
 *
 * License:
 *              This program is distributed in the hope that it will be useful,
 *              but WITHOUT ANY WARRANTY; without even the implied warranty of
 *              MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *              See the GNU General Public License for more details.
 *
 *              This program is free software; you can redistribute it and/or
 *              modify it under the terms of the GNU General Public License
 *              as published by the Free Software Foundation; either version
 *              2 of the License, or (at your option) any later version.
 *
 * Copyright (C) 2006,2007 Alexandre Cassen, <acassen@linux-l7sw.org>
 */

#ifndef _LIB_TCP_SPLICE_H
#define _LIB_TCP_SPLICE_H

/* Prototypes */
extern int tcp_splice_version(void);
extern int tcp_splice_getinfo(void);
extern int tcp_splice_initfd(int, int);
extern int tcp_splice_splicefd(int, int, int);
extern int tcp_splice_init(void);
extern int modprobe_tcp_splice(void);
extern int tcp_splice_start(void);
extern void tcp_splice_stop(void);

#endif
