#ifndef __MSERVER_H
#define __MSERVER_H

#include <map>
#include "PagePool.h"
#include "BlockPool.h"
#include "CacheManager.h"
#include "Cache.h"
#include "Util.h"
#include "LRUCache.h"
#include "LSBCache.h"
#include "LFUCache.h"
#include "P2PCache.h"
#include "COSSCache.h"
#include "Stats.h"

/* tproxy hack hack hack */
#define IP_TRANSPARENT 19

extern std::map<std::string, std::string> confMap;
extern PagePool		*pagePool;
extern BlockPool	*blockPool;
extern CacheManager *cacheManager;
extern Cache		*mCache;       // we cheat here
extern Stats        *stats;
extern int			req_counter_step;
extern bool			keepFreqHistory;
extern bool         tcp_splicing;  // whether tcp splicing module is initialized

//	Cache module logs
extern long long	availCounter;
extern long long	segCounter;
extern long long	reqCounter;
extern long long	relayCounter;

// the server daemon functions
int startServer(int port);
int closeServer();
void *UserToProxyThread(void *pParam);

#endif
